#### [BREAKING] npm package file structures changed (#12740 by @fisker, #13530 by @fisker)

Export style changes:

The ESM version standalone entry has changed export style from default export to named export.

```diff
- import prettier from "https://unpkg.com/prettier@2.7.1/esm/standalone.mjs";
+ import * as prettier from "https://unpkg.com/prettier@3.0.0/standalone.mjs";
```

```diff
- import prettier from "https://unpkg.com/prettier@2.7.1/esm/standalone.mjs";
+ import { format } from "https://unpkg.com/prettier@3.0.0/standalone.mjs";
```

File structures changes:

- `bin-prettier.js` -> `bin/prettier.cjs`
- `esm/standalone.mjs` -> `standalone.mjs`
- `esm/parser-angular.mjs` -> `plugins/angular.mjs`
- `parser-angular.js` -> `plugins/angular.js`
- `esm/parser-babel.mjs` -> `plugins/babel.mjs`
- `parser-babel.js` -> `plugins/babel.js`
- `esm/parser-espree.mjs` -> `plugins/acorn-and-espree.mjs`
- `parser-espree.js` -> `plugins/acorn-and-espree.js`\
  global object renamed `prettierPlugins.espree` -> `prettierPlugins.acornAndEspree`
- `esm/parser-flow.mjs` -> `plugins/flow.mjs`
- `parser-flow.js` -> `plugins/flow.js`
- `esm/parser-glimmer.mjs` -> `plugins/glimmer.mjs`
- `parser-glimmer.js` -> `plugins/glimmer.js`
- `esm/parser-graphql.mjs` -> `plugins/graphql.mjs`
- `parser-graphql.js` -> `plugins/graphql.js`
- `esm/parser-html.mjs` -> `plugins/html.mjs`
- `parser-html.js` -> `plugins/html.js`
- `esm/parser-markdown.mjs` -> `plugins/markdown.mjs`
- `parser-markdown.js` -> `plugins/markdown.js`
- `esm/parser-meriyah.mjs` -> `plugins/meriyah.mjs`
- `parser-meriyah.js` -> `plugins/meriyah.js`
- `esm/parser-postcss.mjs` -> `plugins/postcss.mjs`
- `parser-postcss.js` -> `plugins/postcss.js`
- `esm/parser-typescript.mjs` -> `plugins/typescript.mjs`
- `parser-typescript.js` -> `plugins/typescript.js`
- `esm/parser-yaml.mjs` -> `plugins/yaml.mjs`
- `parser-yaml.js` -> `plugins/yaml.js`

Check full list on <https://unpkg.com/browse/prettier@3.0.0/>.

```diff
- import pluginBabel from "prettier/parser-babel";
+ import pluginBabel from "prettier/plugins/babel";
```

```diff
- node ./node_modules/prettier/bin-prettier.js . --write
+ node ./node_modules/prettier/bin/prettier.cjs . --write
```
